# Uses of Class
javax.accessibility.AccessibleRelation

Packages that use AccessibleRelation
Package
Description
javax.accessibility
Defines a contract between user-interface components and an assistive technology that provides access to those components.

## Uses of AccessibleRelation in javax.accessibility

Fields in javax.accessibility with type parameters of type AccessibleRelation
Modifier and Type
Field
Description
`protected Vector<AccessibleRelation>`
AccessibleRelationSet.`relations`
Each entry in the `Vector` represents an `AccessibleRelation`.
Methods in javax.accessibility that return AccessibleRelation
Modifier and Type
Method
Description
`AccessibleRelation`
AccessibleRelationSet.`get​(String key)`
Returns the relation that matches the specified key.
`AccessibleRelation[]`
AccessibleRelationSet.`toArray()`
Returns the current relation set as an array of `AccessibleRelation`.
Methods in javax.accessibility with parameters of type AccessibleRelation
Modifier and Type
Method
Description
`boolean`
AccessibleRelationSet.`add​(AccessibleRelation relation)`
Adds a new relation to the current relation set.
`void`
AccessibleRelationSet.`addAll​(AccessibleRelation[] relations)`
Adds all of the relations to the existing relation set.
`boolean`
AccessibleRelationSet.`remove​(AccessibleRelation relation)`
Removes a relation from the current relation set.
Constructors in javax.accessibility with parameters of type AccessibleRelation
Modifier
Constructor
Description
``
`AccessibleRelationSet​(AccessibleRelation[] relations)`
Creates a new relation with the initial set of relations contained in the array of relations passed in.